%define sname		gens
Name:			%{sname}-gs
Version:		2.16.7
%define gitdate		20090911
Release:		%mkrel 4

Summary:	A Sega Genesis, Sega CD and Sega 32X emulator
License:	GPLv2+
Group:		Emulators
URL:		http://info.sonicretro.org/Gens/GS
Source0:	http://segaretro.org/images/6/6d/Gens-gs-r7.tar.bz2
Source1:	gens-gs.png
Patch0:		gens-gs-r7-gtk-deprecated.patch

BuildRequires:	gtk2-devel
BuildRequires:	SDL-devel
BuildRequires:	zlib-devel
BuildRequires:	png-devel
BuildRequires:	gtkglextmm-devel
BuildRequires:	nasm
BuildRequires:	desktop-file-utils

Conflicts:	gens

ExclusiveArch:	%ix86

%description
Gens is an emulator for the Sega Genesis, Sega CD and Sega 32X.

Gens/GS is a version of Gens maintained by GerbilSoft.

The main goal of Gens/GS is to clean up the source code and combine features 
from various forks of Gens.

%prep
%setup -q -n %{name}-r7
%patch0 -p1

%build
autoreconf -i
%configure CFLAGS='-ldl -lX11'
%make

%install
%makeinstall

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --dir %{buildroot}%{_datadir}/applications/ \
 %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_libdir}/mdp/*.{a,la}


%files
%doc AUTHORS.txt ChangeLog.txt NEWS.txt README.txt doc/*
%{_bindir}/gens
%{_bindir}/mdp_test
%dir %{_datadir}/gens/
%{_datadir}/gens/*
%{_datadir}/applications/gens.desktop
%{_libdir}/mdp/*.so
%{_docdir}/*


%changelog
* Mon Jun 03 2013 fwang <fwang> 2.16.7-4.mga4
+ Revision: 435907
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 2.16.7-3.mga3
+ Revision: 351358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 malo <malo> 2.16.7-2.mga2
+ Revision: 202642
- adding missing linking flags
- fixing .desktop file
- spec clean-up after import from Mandriva (where it was maintained by Guillaume Bedot and Andrey Bondrov)
- imported package gens-gs

